> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revdesk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume a Number Health test session

> Returns the saved session scope, tester, queue, and server-backed attempts.



## OpenAPI

````yaml /openapi.json get /v1/number-health/sessions/{id}
openapi: 3.1.0
info:
  title: RevDesk v1 API
  version: 1.0.0
  description: >-
    Connect RevDesk calls, SMS, phone numbers, caller IDs, caller trust, agents,
    contacts, tasks, webhooks, and usage to the rest of your revenue workflow
    with organization-scoped permissions.
  contact:
    name: RevDesk
    email: support@revdesk.com
servers:
  - url: https://api.revdesk.com
security:
  - bearerAuth: []
tags:
  - name: Phone Numbers
  - name: Caller IDs
  - name: Enterprise Registration
  - name: Branded Calling
  - name: Calls
  - name: SMS
  - name: WebRTC
  - name: Reputation
  - name: Usage
  - name: Account
  - name: Agents
  - name: Appointments
  - name: Contacts
  - name: Documents
  - name: Notifications
  - name: Number Health
  - name: Number Registration
  - name: Sandbox
  - name: Sub-entities
  - name: Tasks
  - name: Webhooks
externalDocs:
  description: RevDesk API versioning and deprecation policy
  url: https://docs.revdesk.com/api-reference/versioning-and-deprecation
paths:
  /v1/number-health/sessions/{id}:
    get:
      tags:
        - Number Health
      summary: Resume a Number Health test session
      description: >-
        Returns the saved session scope, tester, queue, and server-backed
        attempts.
      operationId: v1_number_health_sessions_id_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          headers:
            RateLimit:
              $ref: '#/components/headers/RateLimit'
            RateLimit-Policy:
              $ref: '#/components/headers/RateLimitPolicy'
            X-RateLimit-Limit:
              $ref: '#/components/headers/XRateLimitLimit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/XRateLimitRemaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/XRateLimitReset'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      participant_id:
                        type:
                          - string
                          - 'null'
                      tester_alias:
                        type:
                          - string
                          - 'null'
                      tester_phone:
                        type:
                          - string
                          - 'null'
                      tester_carrier:
                        anyOf:
                          - type: string
                            enum:
                              - ATT
                              - TMOBILE
                              - VERIZON
                              - OTHER
                              - UNKNOWN
                          - type: 'null'
                      mode:
                        type: string
                        enum:
                          - RAPID_AUDIT
                          - HUMAN_READINESS
                          - CONNECTIVITY_QA
                      status:
                        type: string
                        enum:
                          - ACTIVE
                          - PAUSED
                          - COMPLETED
                          - CANCELLED
                      scope:
                        type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - ALL
                              - TEAM
                              - NUMBER_SET
                              - AREA_CODE
                              - FLAGGED
                              - NEEDS_DATA
                          value:
                            type: string
                          phoneIds:
                            type: array
                            items:
                              type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                        required:
                          - kind
                          - phoneIds
                        additionalProperties: false
                      compare_alternates:
                        type: boolean
                      current_phone_id:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                      phone_ids:
                        type: array
                        items:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      started_at:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                      completed_at:
                        anyOf:
                          - type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                          - type: 'null'
                      attempts:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            phone_id:
                              type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            phone_number:
                              type: string
                            status:
                              type: string
                              enum:
                                - TICKETED
                                - RINGING
                                - CONNECTED
                                - COMPLETED
                                - FAILED
                                - CANCELED
                            mode:
                              type: string
                              enum:
                                - RAPID_AUDIT
                                - HUMAN_READINESS
                                - CONNECTIVITY_QA
                            evidence_eligible:
                              type: boolean
                            evidence_exclusion_reason:
                              type:
                                - string
                                - 'null'
                            duration_seconds:
                              type:
                                - number
                                - 'null'
                            inbound_duration_seconds:
                              type:
                                - number
                                - 'null'
                            outbound_duration_seconds:
                              type:
                                - number
                                - 'null'
                            display_outcome:
                              anyOf:
                                - type: string
                                  enum:
                                    - CLEAN
                                    - NUMBER_ONLY
                                    - LOCATION
                                    - SPAM
                                    - SCAM
                                    - BLOCKED
                                    - WRONG_NAME
                                    - NO_RING
                                    - UNKNOWN
                                - type: 'null'
                            observed_label:
                              type:
                                - string
                                - 'null'
                            callback_verified:
                              type: boolean
                            created_at:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                          required:
                            - id
                            - phone_id
                            - phone_number
                            - status
                            - mode
                            - evidence_eligible
                            - evidence_exclusion_reason
                            - duration_seconds
                            - inbound_duration_seconds
                            - outbound_duration_seconds
                            - display_outcome
                            - observed_label
                            - callback_verified
                            - created_at
                          additionalProperties: false
                    required:
                      - id
                      - participant_id
                      - tester_alias
                      - tester_phone
                      - tester_carrier
                      - mode
                      - status
                      - scope
                      - compare_alternates
                      - current_phone_id
                      - phone_ids
                      - started_at
                      - completed_at
                      - attempts
                    additionalProperties: false
                required:
                  - data
                additionalProperties: false
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Unauthorized
          headers:
            WWW-Authenticate:
              $ref: '#/components/headers/WWWAuthenticate'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Forbidden
          headers:
            WWW-Authenticate:
              $ref: '#/components/headers/WWWAuthenticate'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '409':
          description: Conflict (incl. idempotency conflicts)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Rate limited
          headers:
            RateLimit:
              $ref: '#/components/headers/RateLimit'
            RateLimit-Policy:
              $ref: '#/components/headers/RateLimitPolicy'
            X-RateLimit-Limit:
              $ref: '#/components/headers/XRateLimitLimit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/XRateLimitRemaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/XRateLimitReset'
            Retry-After:
              $ref: '#/components/headers/RetryAfter'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  headers:
    RateLimit:
      description: >-
        Current quota remaining and seconds until reset, using the IETF
        RateLimit structured-field syntax.
      schema:
        type: string
        example: '"default";r=599;t=60'
    RateLimitPolicy:
      description: Named quota policy and one-minute window.
      schema:
        type: string
        example: '"default";q=600;w=60'
    XRateLimitLimit:
      description: Maximum requests allowed in the current one-minute window.
      schema:
        type: integer
    XRateLimitRemaining:
      description: Requests remaining in the current window.
      schema:
        type: integer
    XRateLimitReset:
      description: Unix timestamp in milliseconds when the current window resets.
      schema:
        type: integer
    WWWAuthenticate:
      description: >-
        Bearer challenge with RFC 9728 protected-resource metadata and, on scope
        failures, the required scope.
      schema:
        type: string
    RetryAfter:
      description: Seconds to wait before retrying a rate-limited request.
      schema:
        type: integer
        minimum: 0
  schemas:
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            resolution_hint:
              type: string
            fields:
              type: object
              additionalProperties:
                type: string
            doc_url:
              type: string
              format: uri
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: RevDesk API key
      description: >-
        Organization-scoped RevDesk API key. Each operation declares its
        required permissions in x-required-scopes.
      x-scopes-supported:
        - account:read
        - agents:read
        - agents:write
        - bookings:read
        - brand:read
        - brand:write
        - caller_trust:read
        - caller_trust:write
        - calls:read
        - calls:write
        - contacts:read
        - contacts:write
        - jobs:read
        - jobs:write
        - notifications:write
        - phone_numbers:read
        - phone_numbers:write
        - sms:read
        - sms:write
        - sub_entities:read
        - sub_entities:write
        - tokens:mint
        - transcripts:read
        - usage:read
        - voice:read
        - voice:webrtc
        - voice:write
        - webhooks:read
        - webhooks:write

````